﻿#region Copyright information
// 
// Copyright © 2005-2013 Yongkee Cho. All rights reserved.
// 
// This code is a part of the Biological Object Library and governed under the terms of the
// GNU Lesser General  Public License (LGPL) version 2.1 which accompanies this distribution.
// For more information on the LGPL, please visit http://bol.codeplex.com/license.
// 
// - Filename: FeatureKey.cs
// - Author: Yongkee Cho
// - Email: yongkeecho@gmail.com
// - Date Created: 2013-01-25 3:25 PM
// - Last Modified: 2013-01-25 3:59 PM
// 
#endregion
using System.Runtime.Serialization;

namespace BOL.Models.Features
{
    public enum FeatureKey
    {
        [EnumMember]
        AssemblyGap,

        [EnumMember]
        Attenuator,

        [EnumMember]
        CRegion,

        [EnumMember]
        CAATSignal,

        [EnumMember]
        Cds,

        [EnumMember]
        Centromere,

        [EnumMember]
        DLoop,

        [EnumMember]
        DSegment,

        [EnumMember]
        Enhancer,

        [EnumMember]
        Exon,

        [EnumMember]
        Gap,

        [EnumMember]
        GCSignal,

        [EnumMember]
        Gene,

        [EnumMember]
        iDNA,

        [EnumMember]
        Intron,

        [EnumMember]
        JSegment,

        [EnumMember]
        LTR,

        [EnumMember]
        MatPeptide,

        [EnumMember]
        MiscBinding,

        [EnumMember]
        MiscDifference,

        [EnumMember]
        MiscFeature,

        [EnumMember]
        MiscRecomb,

        [EnumMember]
        MiscRNA,

        [EnumMember]
        MiscSignal,

        [EnumMember]
        MiscStructure,

        [EnumMember]
        MobileElement,

        [EnumMember]
        ModifiedBase,

        [EnumMember]
        mRNA,

        [EnumMember]
        ncRNA,

        [EnumMember]
        NRegion,

        [EnumMember]
        OldSequence,

        [EnumMember]
        Operon,

        [EnumMember]
        OriT,

        [EnumMember]
        PolyASignal,

        [EnumMember]
        PolyASite,

        [EnumMember]
        PrecursorRNA,

        [EnumMember]
        PrimTranscript,

        [EnumMember]
        PrimerBind,

        [EnumMember]
        Promoter,

        [EnumMember]
        ProteinBind,

        [EnumMember]
        RBS,

        [EnumMember]
        RepeatRegion,

        [EnumMember]
        RepOrigin,

        [EnumMember]
        rRNA,

        [EnumMember]
        SRegion,

        [EnumMember]
        SigPeptide,

        [EnumMember]
        Source,

        [EnumMember]
        StemLoop,

        [EnumMember]
        STS,

        [EnumMember]
        TATASignal,

        [EnumMember]
        Telomere,

        [EnumMember]
        Terminator,

        [EnumMember]
        tmRNA,

        [EnumMember]
        Transit_peptide,

        [EnumMember]
        tRNA,

        [EnumMember]
        Unsure,

        [EnumMember]
        VRegion,

        [EnumMember]
        VSegment,

        [EnumMember]
        Variation,

        [EnumMember]
        UTR3,

        [EnumMember]
        UTR5,

        [EnumMember]
        Signal10,

        [EnumMember]
        Signal35
    }
}