﻿#region Copyright information
// 
// Copyright © 2005-2013 Yongkee Cho. All rights reserved.
// 
// This code is a part of the Biological Object Library and governed under the terms of the
// GNU Lesser General  Public License (LGPL) version 2.1 which accompanies this distribution.
// For more information on the LGPL, please visit http://bol.codeplex.com/license.
// 
// - Filename: Element.cs
// - Author: Yongkee Cho
// - Email: yongkeecho@gmail.com
// - Date Created: 2012-11-13 3:17 PM
// - Last Modified: 2013-01-25 3:59 PM
// 
#endregion
namespace BOL.Models.Structure
{
    /// <summary>
    /// Indicates the element.
    /// </summary>
	public enum Element
	{
		None,
		H,                                                                                   He,  
		Li,  Be,                                                     B,   C,   N,   O,   F,  Ne,  
		Na,  Mg,                                                    Al,  Si,   P,   S,  Cl,  Ar,  
		K,   Ca,  Sc,  Ti,   V,  Cr,  Mn,  Fe,  Co,  Ni,  Cu,  Zn,  Ga,  Ge,  As,  Se,  Br,  Kr,  
		Rb,  Sr,   Y,  Zr,  Nb,  Mo,  Tc,  Ru,  Rh,  Pd,  Ag,  Cd,  In,  Sn,  Sb,  Te,   I,  Xe,
        Cs,  Ba,  La,  Ce,  Pr,  Nd,  Pm,  Sm,  Eu,  Gd,  Tb,  Dy,  Ho,  Er,  Tm,  Yb,  Lu,
				       Hf,  Ta,   W,  Re,  Os,  Ir,  Pt,  Au,  Hg,  Tl,  Pb,  Bi,  Po,  At,  Rn,  
		Fr,  Ra,  Ac,  Th,  Pa,   U,  Np,  Pu,  Am,  Cm,  Bk,  Cf,  Es,  Fm,  Md,  No,  Lr,
				       Rf,  Db,  Sg,  Bh,  Hs,  Mt,  Ds,  Rg,  Cn, Uut,  Fl, Uup,  Lv, Uus, Uuo,
		Unk = -1
	}
}