﻿#region Copyright information
// 
// Copyright © 2005-2013 Yongkee Cho. All rights reserved.
// 
// This code is a part of the Biological Object Library and governed under the terms of the
// GNU Lesser General  Public License (LGPL) version 2.1 which accompanies this distribution.
// For more information on the LGPL, please visit http://bol.codeplex.com/license.
// 
// - Filename: IMultipleComparison.cs
// - Author: Yongkee Cho
// - Email: yongkeecho@gmail.com
// - Date Created: 2012-11-06 3:18 PM
// - Last Modified: 2013-01-25 3:59 PM
// 
#endregion
using System.Collections.Generic;

namespace BOL.Maths.Statistics.HypothesisTest
{
    public interface IMultipleComparison : IConfidenceIntervalEstimator
    {
        ConfidenceInterval ConfidenceInterval { get; }
        IEnumerable<bool> IsSignificant(IEnumerable<ITest> tests);
    }
}