﻿#region Copyright information
// 
// Copyright © 2005-2013 Yongkee Cho. All rights reserved.
// 
// This code is a part of the Biological Object Library and governed under the terms of the
// GNU Lesser General  Public License (LGPL) version 2.1 which accompanies this distribution.
// For more information on the LGPL, please visit http://bol.codeplex.com/license.
// 
// - Filename: Rank.cs
// - Author: Yongkee Cho
// - Email: yongkeecho@gmail.com
// - Date Created: 2013-01-25 3:25 PM
// - Last Modified: 2013-01-25 3:59 PM
// 
#endregion
using System.Runtime.Serialization;

namespace BOL.Models.Taxonomy
{
    [DataContract]
    public enum Rank
    {
        [EnumMember]
        Life,

        [EnumMember]
        Domain,

        [EnumMember]
        SuperKingdom,

        [EnumMember]
        Kingdom,

        [EnumMember]
        SubKingdom,

        [EnumMember]
        SuperPhylum,

        [EnumMember]
        Phylum,

        [EnumMember]
        SubPhylum,

        [EnumMember]
        SuperClass,

        [EnumMember]
        Class,

        [EnumMember]
        SubClass,

        [EnumMember]
        SuperOrder,

        [EnumMember]
        Order,

        [EnumMember]
        SubOrder,

        [EnumMember]
        SuperFamily,

        [EnumMember]
        Family,

        [EnumMember]
        SubFamily,

        [EnumMember]
        Tribe,

        [EnumMember]
        SubTribe,

        [EnumMember]
        Genus,

        [EnumMember]
        SubGenus,

        [EnumMember]
        Species,

        [EnumMember]
        Subspecies,

        [EnumMember]
        NoRank,
    }
}
